create table transaction
(
    id                                 serial        not null,
    claimant_id                        integer       not null,
    claim_head_id                      integer       not null,
    actual_or_reserve                  varchar(7),
    payment_or_recovery                varchar(8),
    amount                             numeric(8,2),
    created_at                         timestamp     not null default now(),
    updated_at                         timestamp,
    constraint primary_key_transaction primary key (id),
    constraint foreign_key_transaction_claimant   
        foreign key (claimant_id) references claimant(id),
    constraint foreign_key_transaction_claim_head 
        foreign key (claim_head_id) references claim_head(id)
);
